	SUBROUTINE PLT_IBOR ( string, iret )
C************************************************************************
C* PLT_IBOR								*
C*									*
C* This subroutine sets the line information for axis and other back-	*
C* ground line drawing.							*
C*									*
C* The control file entry is of the following format:			*
C*									*
C*	BORDER = Background lines color/dash/width			*
C*									*
C* PLT_IBOR ( STRING, IRET )						*
C*									*
C* Input parameters:							*
C*	STRING		CHAR*		Input character string		*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C*					 +5 = invalid string		*
C**									*
C* Log:									*
C* K. Brill/EMC		 1/98						*
C************************************************************************
	INCLUDE		'plt.cmn'
C*
	CHARACTER*(*)	string
C*
	INTEGER		iarr (3)
C*-----------------------------------------------------------------------
	iret = 0
	CALL ST_ILST ( string, '/', -9, 3, iarr, num, ier )
	IF ( ier .ge. 0 ) THEN
	    IF ( iarr (1) .ne. -9 ) ibcolr = iarr (1)
	    IF ( iarr (2) .ne. -9 ) ibdash = iarr (2)
	    IF ( iarr (3) .ne. -9 ) ibwdth = iarr (3)
	ELSE
	    iret = 5
	END IF
C*
	RETURN
	END
