	PROGRAM CMPCTVSDB
C************************************************************************
C*  Prgram to convert full VSDB files to compact VSDB files with	*
C*  duplicate header fields marked by substitution characters.		*
C*									*
C*  Log:								*
C*  K. Brill/HPC	 2/04						*
C************************************************************************
	CHARACTER*132	filnam
C------------------------------------------------------------------------
	lun = 12
	luno = 99
	WRITE (6,*) ' Enter input VSDB file name:'
	READ (5,'(A)') filnam
	CALL VSDB_OPN ( lun, filnam, 'r', iret )
	IF ( iret .ne. 0 ) THEN
	    CALL VSDB_ERR ( iret, 'VSDB_OPN', ier )
	    STOP 1
	END IF
	WRITE (6,*) ' Enter output VSDB file name:'
	READ (5,'(A)') filnam
	OPEN ( UNIT=luno, FILE=filnam, STATUS='NEW', IOSTAT=ios )
	IF ( ios .ne. 0 ) THEN
	    WRITE (6,*) 'Cannot open output file. '
	    STOP 1
	END IF
C*
	CALL VSDB_WRT ( lun, luno, nrecrd, iret )
	IF ( iret .ne. 0 ) THEN
	    CALL VSDB_ERR ( iret, 'VSDB_WRT', ier )
	    IF ( iret .lt. 0 ) STOP 1
	END IF
	CLOSE ( UNIT = luno )
	CLOSE ( UNIT = lun )
	WRITE (6,*)  nrecrd, ' records compacted and written.'
	IF ( nrecrd .eq. 0 ) STOP 1
	STOP
	END
