	SUBROUTINE GDBINP ( vdbfrcid, vdbfrchr, atgdfile,
     +		  	    anlygfnc, frctgfnc, vdbanlid,
     +			    vdbanlgd, vdbstatt, vdbprmnm,
     +			    vdblvlnm, regions, useara, cskip,
     +                      output, iret )
C************************************************************************
C* GDBINP								*
C*									*
C* This subroutine gets the input parameters for GDGCRPS from a user.	*
C*									*
C* GDBINP  ( VDBFRCID, VDBFRCHR, ATGDFILE, ANLYGFNC, FRCTGFNC,          *
C*	     VDBANLID, VDBANLGD, VDBSTATT, VDBPRMNM, VDBLVLNM, REGIONS, *
C*	     USEARA, CSKIP, OUTPUT, IRET )			        *
C**									*
C* Log:									*
C* K. Brill/IMSG	 06/16						*
C* K. Brill/IMSG      20160624  Add useara                              *
C* K. Brill/IMSG      20170316  Add IJSKIP                              *
C************************************************************************
	CHARACTER*(*)	vdbfrcid, vdbfrchr, atgdfile,
     +			anlygfnc, frctgfnc, vdbanlid,
     +			vdbanlgd, vdbstatt, vdbprmnm,
     +			vdblvlnm, regions, cskip, output
        LOGICAL         useara
C------------------------------------------------------------------------
	iret = 0
	CALL IP_STR  ( 'VDBFRCID', vdbfrcid, ier1 )
	CALL IP_STR  ( 'VDBFRCHR', vdbfrchr, ier2 )
	CALL IP_STR  ( 'ATGDFILE', atgdfile, ier3 )
	CALL IP_STR  ( 'ANLYGFNC', anlygfnc, ier4 )
	CALL IP_STR  ( 'FRCTGFNC', frctgfnc, ier5 )
	CALL IP_STR  ( 'VDBANLID', vdbanlid, ier6 )
	CALL IP_STR  ( 'VDBANLGD', vdbanlgd, ier7 )
	CALL IP_STR  ( 'VDBSTATT', vdbstatt, ier8 )
	CALL IP_STR  ( 'VDBPRMNM', vdbprmnm, ier9 )
	CALL IP_STR  ( 'VDBLVLNM', vdblvlnm, ier10 )
	CALL IP_STR  ( 'REGIONS',  regions,  ier11 )
        CALL IP_LOG  ( 'USEAREA',  useara,   ier12 )
	CALL IP_STR  ( 'IJSKIP',   cskip,    ier13 )
	CALL IP_STR  ( 'OUTPUT',   output,   ier14 )
C
	iret = ier1 + ier2 + ier3 + ier4 + ier5 + ier6 + ier7 + ier8 + 
     +	       ier9 + ier10 + ier11 + ier12 + ier13 + ier14
	IF  ( iret .ne. 0 )  iret = -2
C*
	RETURN
	END
