	PROGRAM UCD2TXT
C************************************************************************
C*									*
C*  This program converts a trace.ucd file to a trace_ucd.txt file.     *
C*									*
C*  Log:								*
C*  K. Brill/HPC      20120402	Created from test reading file		*
C*  K. Brill/IMSG     20160712  Change MXDPTH to 28                     *
C++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
        PARAMETER       ( MXDPTH = 28 )
	REAL*8          rhld (MXDPTH)
	CHARACTER*64	frmt
	CHARACTER*2	cnd
C++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C*
	WRITE (6,*) ' '
	WRITE (6,*)
     +  ' Reading trace.ucd --- writing trace_ucd.txt'
	OPEN (UNIT=11, FILE='trace.ucd', STATUS='OLD',
     +        ACCESS='SEQUENTIAL', FORM='UNFORMATTED',
     +        IOSTAT=ios )
C*
	IF ( ios .ne. 0 ) THEN
	    WRITE (6,*) ' trace.ucd file could not be opened.'
	    CLOSE (11)
	    STOP
	END IF
C* 
	OPEN (UNIT=12, FILE='trace_ucd.txt', STATUS='UNKNOWN',
     +        ACCESS='SEQUENTIAL', FORM='FORMATTED',
     +        IOSTAT=ios )
C*
	IF ( ios .ne. 0 ) THEN
	    WRITE (6,*) ' trace_ucd.txt file could not be opened.'
	    CLOSE (12)
	    STOP
	END IF
C* 
	READ (11,IOSTAT=ios) idnn
        IF ( ios .ne. 0 ) THEN
	    WRITE (6,*)  ' Data depth value could not be read.'
	    CLOSE (11)
	    CLOSE (12)
	    STOP
	END IF
C
C*	Create output record format string.
C
	idnm1 = idnn - 1
	WRITE (cnd, '(I2)' ) idnm1 
	frmt = '(3(I4,X),'//cnd//'(1PE20.13,X),1PE20.13)'
C
C*	Write the data depth value to the output file.
C
	WRITE (12, '(I4)', IOSTAT=ios1 ) idnn
C*
	DO WHILE ( ios .eq. 0 )
	    READ (11, IOSTAT = ios) idnmbr,
     +                      itrc, ipnt, (rhld(jj),jj=1,idnn)
	    IF ( ios .eq. 0 )
     +	    WRITE (12, frmt, IOSTAT = ios2) idnmbr,
     +                      itrc, ipnt, (rhld(jj),jj=1,idnn)
	    ios = ios + ios2
	END DO
	IF ( ios2 .ne. 0 .or. ios1 .ne. 0 ) THEN
	    WRITE (6,*) ' Error writing to text file.'
	    CLOSE (11)
	    CLOSE (12)
	    STOP
	END IF
C*
	WRITE (6,*) ' Done.'
	WRITE (6,*) ' '
C*
	CLOSE (11)
	CLOSE (12)
C*
	STOP
	END
