	SUBROUTINE RDTD_CDC ( iret )
C************************************************************************
C* RDTD_CDC								*
C*									*
C* This subroutine determines whether temporary condition data is 	*
C* identical to that previously stored.					*
C*									*
C* RDTD_CDC ( IRET )							*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C**									*
C* Log:									*
C* K. Brill/EMC		 6/98	New routine for multiple temp conds	*
C************************************************************************
	INCLUDE		'rdtd.cmn'
C*
C*-----------------------------------------------------------------------
	iret = 0
	IF ( .not. kgsame ) RETURN
C*
	n = ntmpcn
	kgsame = ( kgctyp (n) .eq. kgctyp (n-1) )
	IF ( .not. kgsame ) RETURN
	kgsame = ( kgcfld (n) .eq. kgcfld (n-1) )
	IF ( .not. kgsame ) RETURN
	kgsame = ( ntmpls (n) .eq. ntmpls (n-1) )
	IF ( .not. kgsame ) RETURN
	DO i = 1, ntmpls (n)
	    kgsame = ( kgcnd1 (n,i) .eq. kgcnd1 (n-1,i) )
	    IF ( .not. kgsame ) RETURN
	END DO
	kgsame = ( kgcnd2 (n) .eq. kgcnd2 (n-1) )
	IF ( .not. kgsame ) RETURN
C*
	RETURN
	END
