	SUBROUTINE RDTD_OTN ( igr, iptrc, iotrc, iret )
C************************************************************************
C* RDTD_OTN								*
C*									*
C* This subroutine returns the original trace number for a given	*
C* sequential trace number within the plot number requested in		*
C* RDTD_FND.								*
C*									*
C* RDTD_OTN ( IPTRC, IOTRC, IRET )					*
C*									*
C* Input parameters:							*
C*	IGR		INTEGER		Graph relative trace number	*
C*	IPTRC		INTEGER		Plot relative trace number	*
C*									*
C* Output parameters:							*
C*	IOTRC		INTEGER		Original trace number		*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C**									*
C* Log:									*
C* K. Brill/HPC      20120316   Created					*
C* K. Brill/HPC	     20120329	Added IGR input				*
C************************************************************************
	INCLUDE		'rdtd.cmn'
C*
C*------------------------------------------------------------------------
	iret = 0
C*
	iotrc = ntrlst ( iptrc )
	WRITE (6,*)
     +  ' Graph rel trc # = ', igr, ' Plot rel trc # = ', iptrc,
     +  ' Orig trc # = ', iotrc
C*
	RETURN
	END
