	SUBROUTINE RDTD_REI ( iret )
C************************************************************************
C* RDTD_REI								*
C*									*
C* This subroutine performs a re-initialization of the trace data.	*
C*									*
C*									*
C* RDTD_REI ( IRET )							*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C**									*
C* Log:									*
C* K. Brill/HPC		 7/03						*
C************************************************************************
	INCLUDE		'rdtd.cmn'
C*
C*------------------------------------------------------------------------
	iret = 0
C*
	IF ( reinit ) THEN
C
C*	    Re-initialize.
C
	    lun = loguni
	    iplot = kpltid
C*
	    CALL RDTD_INI ( lun, np, ier )
	    IF ( ier .ne. 0 ) THEN
		CALL RDTD_ERR ( ier, ' Error re-initializing', ierr )
		RETURN
	    END IF
C*
	    CALL RDTD_FND ( lun, iplot, .true., nts, ityp, iret )
	    IF ( ier .ne. 0 ) THEN
		CALL RDTD_ERR ( ier, ' Error re-finding data', ierr )
		RETURN
	    END IF
C*
	    reinit = .false.
C*
	END IF
C*
	RETURN
	END
