	SUBROUTINE SRCH_FLD ( skip, iret )
C************************************************************************
C* SRCH_FLD								*
C*									*
C* This subroutine performs a rough check of the descriptor fields	*
C* to see if it is a candidate for further checking.			*
C*									*
C* The field information is assumed to have been read into COMMON.	*
C*									*
C* If SKIP is .TRUE., then it is definitely OK to skip this record.	*
C*									*
C* SRCH_FLD ( SKIP, IRET )						*
C*									*
C* Output parameters:							*
C*	SKIP		LOGICAL		Flag to skip this record	*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C**									*
C* Log:									*
C* K. Brill/EMC		 7/97						*
C* K. Brill/EMC		 4/98	Changes for CHKLST for each trace	*
C************************************************************************
	INCLUDE		'srch.cmn'
C*
	LOGICAL		skip
C*
	LOGICAL		found
C*------------------------------------------------------------------------
	iret = 0
	skip = .false.
C
C*	Search for "check list" elements.
C
	found = .false.
	ilst = 0
	it = 0
	DO WHILE ( .not. found .and. it .lt. ntrace )
	    it = it + 1
	    icnt = 0
	    il = 0
	    DO WHILE ( il .lt. nchckx (it) .and. icnt .lt. ickpar (it) )
		il = il + 1
		ilst = ilst + 1
		iq = INDEX ( hfield ( ifdlst (it,il) ), chklst (it,il)
     +			     (1:lngthl (it,il)) )
		IF ( iq .ne. 0 ) icnt = icnt + 1
	    END DO
	    IF ( icnt .eq. ickpar (it) ) found = .true.
	END DO
C
C*	Check for having found something in the fields of this record.
C
	skip = ( .not. found .and. ilst .ne. 0 )
C*
	RETURN
	END
