	SUBROUTINE SRCH_KNT ( iret )
C************************************************************************
C* SRCH_KNT								*
C*									*
C* This subroutine prints out search diagnostic counts.			*
C*									*
C* SRCH_KNT ( IRET )							*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C**									*
C* Log:									*
C* K. Brill/EMC		 4/99						*
C* K. Brill/HPC		 8/00	Add last col of total finally accepted	*
C* K. Brill/HPC		 5/03	Print out number of empty bins		*
C* K. Brill/HPC		12/03	Print out to a file also		*
C************************************************************************
	INCLUDE		'srch.cmn'
C*
	INTEGER		iout (8)
	CHARACTER*6	cout
C*------------------------------------------------------------------------
	iret = 0
C*
	OPEN ( UNIT=96, FILE='srch_summary.txt', STATUS='UNKNOWN',
     +		IOSTAT=iopn )
	WRITE (6,1000)
	IF ( iopn .eq. 0 ) WRITE (96,1000)
1000	FORMAT (/,27X,'SEARCH SUMMARY RECORD COUNTS',/)
	WRITE (6,2000)
	IF ( iopn .eq. 0 ) WRITE (96,2000)
2000	FORMAT('TRACE RECORDS RECORDS  TOTAL  NUMBER  ',
     +	       'CNSTNCY ADDTNAL TOTAL # FINAL #  # MSNG' )
	WRITE (6,3000)
	IF ( iopn .eq. 0 ) WRITE (96,3000)
3000	FORMAT('  #    FOUND  PADDED  RECORDS ACCEPTD ',
     +	       'REJCTNS REJCTNS REJCTNS ACCEPTD  POINTS',/)
	DO i = 1, ntrace
	    iout (1) = knttrc (i)
	    iout (2) = kntpad (i)
	    iout (3) = knttrc (i) + kntpad (i)
	    iout (4) = kaccpt (i)
	    iout (5) = iout (3) - kaccpt (i)
	    iout (6) = krejct (i)
	    iout (7) = iout (5) + iout (6)
	    iout (8) = kaccpt (i) - krejct (i)
	    cout = '   N/A'
	    IF ( kivnpt (i) .gt. 1 ) THEN
	        icntm = 0
		DO ip = 1, kivnpt (i)
		    IF ( binmty (i,ip) ) icntm = icntm + 1
		END DO
		WRITE (cout, '(I6)') icntm
	    END IF
	    WRITE (6,4000) i, (iout(ix),ix=1,8), cout
	    IF ( iopn .eq. 0 ) WRITE (96,4000) i, (iout(ix),ix=1,8), cout
4000	    FORMAT (1X,I2,2X,8(1X,I7),2X,A6)
	END DO
	CLOSE ( UNIT=96 )
C*
	RETURN
	END
