	SUBROUTINE PLT_GINI  ( numtrc, iret )
C************************************************************************
C* PLT_GINI								*
C* 									*
C* This subroutine initializes GEMPLT for the VSDB graphical display	*
C* software.								*
C*									*
C* PLT_GINI  ( NUMTRC, IRET )						*
C*									*
C* Input parameters:							*
C*	NUMTRC		INTEGER		Number of traces for display	*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*					   0 = Normal return		*
C*					  -1 = Cannot start graphics	*
C**									*
C* Log:									*
C* K. Brill/EMC		12/97						*
C************************************************************************
	INCLUDE		'plt.cmn'
C*
	CHARACTER	cerr*8, errstr*32
C------------------------------------------------------------------------
	iret = 0
	mode = 0
	CALL IN_BDTA ( iret )
	CALL GINITP  ( mode, istat, iret )
	IF ( iret .eq. 0 ) CALL GQMODE ( mode, iret )
	IF ( mode .ne. 2 .and. iret .eq. 0 ) THEN
	    CALL GSMODE ( 2, iret )
	END IF
	IF ( iret .ne. 0 ) THEN
	    CALL ST_INCH ( iret, cerr, ier )
	    errstr = 'RETURN CODE FROM GPLT = ' // cerr
	    iret = -1
	    CALL PLT_ERRO ( iret, errstr, ier )
	    RETURN
	END IF
C*
	RETURN
	END
