	SUBROUTINE RDTD_DVC ( luntd, nt, ihdr, iret )
C************************************************************************
C* RDTD_DVC								*
C*									*
C* This subroutine stores a dependent variable condition from a	trace	*
C* data file into the temporary data structure TMPCON after storing	*
C* any old set of conditions as either general or trace specific	*
C* conditions.								*
C*									*
C* LUNTD is the unit number to which the trace data file is connected.	*
C*									*
C* RDTD_DVC ( LUNTD, NT, IHDR, IRET )					*
C*									*
C* Input parameters:							*
C*	LUNTD		INTEGER		Unit number of trace data file	*
C*	NT		INTEGER		Trace number			*
C*	IHDR (7)	INTEGER		Header record information	*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C**									*
C* Log:									*
C* K. Brill/EMC		 6/98	New routine for multiple temp conditions*
C************************************************************************
	INCLUDE		'rdtd.cmn'
C*
	INTEGER		ihdr (7)
C*
C*------------------------------------------------------------------------
	iret = 0
C*
	IF ( nt .eq. 1 .and. ntmpcn .gt. 0 ) THEN
	    CALL RDTD_SDV ( iret )
	    IF ( iret .lt. 0 ) RETURN
	    ntmpcn = 0
	    CALL RDTD_TMP ( luntd, nt, ihdr, iret )
	    IF ( iret .lt. 0 ) RETURN
	ELSE
	    CALL RDTD_TMP ( luntd, nt, ihdr, iret )
	END IF
C*
	RETURN
	END
