	SUBROUTINE SRCH_CHX ( itrc, iddfld, charcn, ncn, iret )
C************************************************************************
C* SRCH_CHX								*
C*									*
C* This subroutine adds strings to the rough-check check list for a	*
C* trace.								*
C*									*
C* SRCH_CHX ( ITRC, IDDFLD, CHARCN, NCN, IRET )				*
C*									*
C* Input parameters:							*
C*	ITRC		INTEGER		Number of trace			*
C*	IDDFLD		INTEGER		Search data element number	*
C*	CHARCN (2,NCN)	CHAR*		List for char condition		*
C*	NCN		INTEGER		# in list			*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C**									*
C* Log:									*
C* K. Brill/EMC		 4/98						*
C************************************************************************
	INCLUDE		'srch.cmn'
C*
	CHARACTER*(*)	charcn (2,*)
	LOGICAL		ok
C*------------------------------------------------------------------------
	iret = 0
C
C*	Set no rough check for element 15 (verifying HHNN).
C
	IF ( iddfld .eq. 15 ) RETURN
C*
	ok = .false.
C*
	DO i = 1, ncn
	    IF ( nchckx (itrc) .lt. MXCHKX .and. iddfld .le. MXDFDS )
     +	    THEN
		ok = .true.
		nchckx (itrc) = nchckx (itrc) + 1
		n = nchckx (itrc)
		chklst (itrc,n) = charcn (1,i)
		ifdlst (itrc,n) = ifdmap (iddfld)
		CALL ST_LSTR ( chklst (itrc,n), lngthl (itrc,n), ier )
		IF ( ifdlst (itrc,n) .eq. 4 ) lngthl (itrc,n) = 10
	    END IF
	END DO
	IF ( ok ) ickpar (itrc) = ickpar (itrc) + 1
C*
	RETURN
	END
