	SUBROUTINE SRCH_LMS ( iret )
C************************************************************************
C* SRCH_LMS								*
C*									*
C* This subroutine loads zero point traces with a single missing value	*
C* point.								*
C*									*
C* SRCH_LMS ( IRET )							*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C**									*
C* Log:									*
C* K. Brill/EMC		 1/00						*
C* K. Brill/HPC		 8/00	Renamed DATTIM to CONCHK		*
C************************************************************************
	INCLUDE		'srch.cmn'
C*
C*------------------------------------------------------------------------
	iret = 0
C
C*	Find first trace that exists.
C
	nreft = 1
	DO WHILE ( ndepth (nreft) .eq. 0 .and. nreft .lt. ntrace )
	    nreft = nreft + 1
	END DO
	IF ( ndepth (nreft) .eq. 0 ) RETURN
C
C*	Use reference trace to assign values to a missing trace.
C
	DO i = 1, ntrace
	    IF ( ndepth (i) .eq. 0 ) THEN
		ndepth (i) = ndepth (nreft)
		conchk (i,1) = conchk (nreft,1)
		kounts (i,1) = 1
		ndatap (i) = 1
		ctrcid (i,1) = ctrcid (nreft,1)
		rtrcid (i,1) = rtrcid (nreft,1)
	    END IF
	END DO
C*
	RETURN
	END
