	SUBROUTINE USR_DECD ( c, n, rout, iret )
C************************************************************************
C*  USR_DECD								*
C*									*
C*  This subroutine decodes a 64-bit real from a 7-character string,	*
C*  preserving 11 decimal significant digits of precision.		*
C*									*
C*  USR_DECD ( C, N, ROUT, IRET )					*
C*									*
C*  Input parameters:							*
C*	C (N)		CHAR*7		Input character strings		*
C*	N		INTEGER		Number of real numbers		*
C*									*
C*  Output parameters:							*
C*	ROUT (N)	REAL*8		Output real data		*
C*	IRET		INTEGER		Return code			*
C*									*
C* Log:									*
C* K. Brill/EMC		 9/97						*
C* K. Brill/EMC		12/97	Fixed line feed character bug		*
C************************************************************************
	REAL*8		rout (*)
	CHARACTER*7	c (*)
C*
	CHARACTER*20	etyp
C------------------------------------------------------------------------
	iret = 0
	DO i = 1, n
	    etyp = ' '
	    ix = ICHAR ( c (i) (1:1) )
	    ix = ix - 14
	    IF ( ix .gt. 127 ) THEN
		ix = ix - 127
		WRITE ( etyp (1:5), "('-0.',I2.2)" ) ix
	    ELSE
		WRITE ( etyp (1:5), "('+0.',I2.2)" ) ix
	    END IF
	    is = 6
	    ie = 7
	    DO iq = 2, 6
		ix = ICHAR ( c (i) (iq:iq) )
		ix = ix - 14
		WRITE ( etyp (is:ie), '(I2.2)' ) ix
		is = is + 2
		ie = ie + 2
	    END DO
	    ie = is + 3
	    ix = ICHAR ( c(i) (7:7) )
	    ix = ix - 14
	    IF ( ix .gt. 127 ) THEN
		ix = ix - 127
		WRITE ( etyp (is:ie), "('D-',I2.2)" ) ix
	    ELSE
		WRITE ( etyp (is:ie), "('D+',I2.2)" ) ix
	    END IF
	    READ ( etyp, '(D20.12)' ) rout (i)
	END DO
	RETURN
	END
